import { HttpClient } from '@wix/sdk-types';
import { BulkCreateMessagesOptions, BulkCreateMessagesResponse, BulkCreateMessagesResponseNonNullableFields, ListMessagesOptions, ListMessagesResponse, ListMessagesResponseNonNullableFields } from './innovation-widget-v1-message-messages.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function bulkCreateMessages(httpClient: HttpClient): BulkCreateMessagesSignature;
interface BulkCreateMessagesSignature {
    /**
     * Bulk creates messages.
     *
     * This method must be called using the site visitor or site member identity ([SDK](https://dev.wix.com/docs/sdk/articles/get-started/about-identities#site-member) | [REST](https://dev.wix.com/docs/rest/articles/getting-started/about-identities#site-member)) to identify the site visitor that is creating the messages. Therefore, [Wix apps](https://dev.wix.com/docs/build-apps) can't currently call this method using REST.
     */
    (options?: BulkCreateMessagesOptions | undefined): Promise<BulkCreateMessagesResponse & BulkCreateMessagesResponseNonNullableFields>;
}
export declare function listMessages(httpClient: HttpClient): ListMessagesSignature;
interface ListMessagesSignature {
    /**
     * Retrieves a list of messages.
     *
     * Up to 100 Messages can be returned per request.
     *
     * This method must be called using the site visitor or site member identity ([SDK](https://dev.wix.com/docs/sdk/articles/get-started/about-identities#site-member) | [REST](https://dev.wix.com/docs/rest/articles/getting-started/about-identities#site-member)) to identify the site visitor that is retrieving the messages. Therefore, [Wix apps](https://dev.wix.com/docs/build-apps) can't currently call this method using REST.
     * @param - Additional options for listing messages.
     */
    (options?: ListMessagesOptions | undefined): Promise<ListMessagesResponse & ListMessagesResponseNonNullableFields>;
}
export { ActionEvent, Body, BulkCreateMessagesOptions, BulkCreateMessagesRequest, BulkCreateMessagesResponse, BulkCreateMessagesResponseNonNullableFields, CursorPaging, Cursors, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, ExtendedFields, IdentificationData, IdentificationDataIdOneOf, ListMessagesOptions, ListMessagesRequest, ListMessagesResponse, ListMessagesResponseNonNullableFields, Message, MessageEnvelope, MessageType, PagingMetadataV2, RestoreInfo, Sender, WebhookIdentityType, } from './innovation-widget-v1-message-messages.universal.js';
